package com.mx.cneeds.server.user;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @ClassName UserServerApplication
 * @Author zzrdark
 * @Date 2020-01-06 11:54
 * @Description TODO
 **/
@SpringBootApplication
@EnableEurekaClient
@EnableSwagger2
public class UserServerApplication {
    public static void main(String[] args) {
        new SpringApplicationBuilder(UserServerApplication.class).web(WebApplicationType.NONE).run(args);
    }
}
